org.keycloak.federation.ldap.mappers.membership.group

## Class GroupLDAPFederationMapper.LDAPGroupMappingsUserDelegate

- java.lang.Object
- - org.keycloak.models.utils.UserModelDelegate
  - - org.keycloak.federation.ldap.mappers.membership.group.GroupLDAPFederationMapper.LDAPGroupMappingsUserDelegate

- All Implemented Interfaces:
    RoleMapperModel, UserModel
  Enclosing class:
    GroupLDAPFederationMapper

      public class GroupLDAPFederationMapper.LDAPGroupMappingsUserDelegate
      extends UserModelDelegate

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.models.UserModel

      `UserModel.RequiredAction, UserModel.UserRemovedEvent`

  - ### Field Summary

    - ### Fields inherited from class org.keycloak.models.utils.UserModelDelegate

      `delegate`

    - ### Fields inherited from interface org.keycloak.models.UserModel

      `EMAIL, FIRST_NAME, LAST_NAME, LOCALE, USERNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LDAPGroupMappingsUserDelegate(UserModel user, LDAPObject ldapUser)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<GroupModel>` | `getGroups()`
    `protected Set<GroupModel>` | `getLDAPGroupMappingsConverted()`
    `boolean` | `isMemberOf(GroupModel group)`
    `void` | `joinGroup(GroupModel group)`
    `void` | `leaveGroup(GroupModel group)`

    - ### Methods inherited from class org.keycloak.models.utils.UserModelDelegate

      `addRequiredAction, addRequiredAction, deleteRoleMapping, getAttribute, getAttributes, getClientRoleMappings, getCreatedTimestamp, getCredentialsDirectly, getDelegate, getEmail, getFederationLink, getFirstAttribute, getFirstName, getId, getLastName, getRealmRoleMappings, getRequiredActions, getRoleMappings, getServiceAccountClientLink, getUsername, grantRole, hasRole, isEmailVerified, isEnabled, isOtpEnabled, removeAttribute, removeRequiredAction, removeRequiredAction, setAttribute, setCreatedTimestamp, setEmail, setEmailVerified, setEnabled, setFederationLink, setFirstName, setLastName, setOtpEnabled, setServiceAccountClientLink, setSingleAttribute, setUsername, updateCredential, updateCredentialDirectly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LDAPGroupMappingsUserDelegate

          public LDAPGroupMappingsUserDelegate(UserModel user,
                                               LDAPObject ldapUser)

  - ### Method Detail

    - #### getGroups

          public Set<GroupModel> getGroups()

      Specified by:
        `getGroups` in interface `UserModel`
      Overrides:
        `getGroups` in class `UserModelDelegate`

    - #### joinGroup

          public void joinGroup(GroupModel group)

      Specified by:
        `joinGroup` in interface `UserModel`
      Overrides:
        `joinGroup` in class `UserModelDelegate`

    - #### leaveGroup

          public void leaveGroup(GroupModel group)

      Specified by:
        `leaveGroup` in interface `UserModel`
      Overrides:
        `leaveGroup` in class `UserModelDelegate`

    - #### isMemberOf

          public boolean isMemberOf(GroupModel group)

      Specified by:
        `isMemberOf` in interface `UserModel`
      Overrides:
        `isMemberOf` in class `UserModelDelegate`

    - #### getLDAPGroupMappingsConverted

          protected Set<GroupModel> getLDAPGroupMappingsConverted()

Copyright © 2016 JBoss by Red Hat. All rights reserved.